> For the complete documentation index, see [llms.txt](https://developers.rewardful.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.rewardful.com/rest-api/affiliate-links/the-affiliate-link-object.md).

# The affiliate link object

```json
{
  "id": "f46a912b-08bc-4332-8771-c857e11ad9dd",
  "url": "https://www.demo.com:8081/?via=luke",
  "token": "luke",
  "visitors": 10,
  "leads": 5,
  "conversions": 3,
  "affiliate_id": "aaac9869-4242-4db9-afb1-f3518ef627c5"
}
```

## Attributes

| Name           | Data type | Description                                                                                                                                                                                |
| -------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `id`           | `string`  | Unique identifier for this affiliate link.                                                                                                                                                 |
| `url`          | `string`  | The full URL for this affiliate link (i.e. campaign URL plus unique link token).                                                                                                           |
| `token`        | `string`  | The unique token for this affiliate link.                                                                                                                                                  |
| `visitors`     | `integer` | The number of visitors attributed to this link.                                                                                                                                            |
| `leads`        | `integer` | The number of leads attributed to this link.                                                                                                                                               |
| `conversions`  | `integer` | The number of conversions attributed to this link.                                                                                                                                         |
| `affiliate_id` | `string`  | The ID of the affiliate this link belongs to. *<mark style="background-color:yellow;">This attribute is omitted when affiliate link objects are nested within an affiliate object.</mark>* |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.rewardful.com/rest-api/affiliate-links/the-affiliate-link-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
